from machine import Pin, I2C
from ssd1306 import SSD1306_I2C
import utime as time
from dht import DHT11, InvalidChecksum
 
WIDTH  = 128                                            # Oled Display Width
HEIGHT = 64                                             # Oled Display Height
 
i2c = I2C(0, scl=Pin(9), sda=Pin(8), freq=200000)       # Init I2C Using Pins GP8 And GP9 "Default I2C0 Pins"
print("I2C Address      : "+hex(i2c.scan()[0]).upper()) # Display Device Address
print("I2C Configuration: "+str(i2c))                   # Display I2C Config
 
 
oled = SSD1306_I2C(WIDTH, HEIGHT, i2c)                  # Init Oled Display
 
while True:
    time.sleep(1)
    pin = Pin(28, Pin.OUT, Pin.PULL_DOWN)
    sensor = DHT11(pin)
    t  = (sensor.temperature)
    h = (sensor.humidity)
    print("Temperature: {}".format(sensor.temperature))
    print("Humidity: {}".format(sensor.humidity))
    # Clear The Oled Display I Screen Is Not Ok.
    oled.fill(0)       
    
    # Add Some Text
    oled.text("TEMP: ",10,10)
    oled.text(str(sensor.temperature),50,10)
    oled.text("*C",90,10)
    
    oled.text("HUM: ",10,30)
    oled.text(str(sensor.humidity),50,30)
    oled.text("%",90,30)
    
    time.sleep(1)
    oled.show()